Subject: Ticket Assigned - Return product rejected to be picked up by delivery person
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 10 Dec 2022 16:36:38 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Return product rejected to be picked up by delivery person I have already followed the procedure correctly and claimed to return one
product among the delivered products.
Delivery person asked me to send my location, I sent my location and called
him but the delivery person is the same delivery person that delivered my
package. I have already complained on him about his rude behavior During
the delivery. He barely payed attention, I myself went where he was to take
my package.
I even continuously sent him confirmation if he comes to take my return
product . I was not expected to beg him but I did . He still ignored me. I
really don’t know how long should I wait to return my product. I’m really
frustrated.

Please help me, I’m not happy with this service .

Thank you

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5444042